before_script:
  - apt update -qq
  - apt -y install python3 python3-pip

unit_tests:
  image: ubuntu:18.04
  script:
    - python3 -m unittest discover -s tests -t ./

unit_test_coverage:
  image: ubuntu:18.04
  script:
    - pip3 install coverage
    - coverage run -m unittest discover -s tests
    - coverage report | tee coverage_report.txt
    - coverage html
  artifacts:
    paths:
      - coverage_report.txt
      - htmlcov/
